<?php

namespace App\Classes\Modules\Receipts\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;

class ReceiptDetailObject implements DataTransferObject
{

    
    private $trans_type1;
    
    private $trans_type2;
    
    private $transaction_id;
    
    private $receipt_id;
    
    private $price;
    
    private $amount;
    
    
    public function __construct(
        string $trans_type1,string $trans_type2,
        int $transaction_id, int $receipt_id,
        float $price,float $amount
    ){
        $this->trans_type1= $trans_type1;
        $this->trans_type2 = $trans_type2;
        $this->transaction_id = $transaction_id;
        $this->receipt_id = $receipt_id;
        $this->price = $price;
        $this->amount = $amount;
        
    }

    
    /**
     * @return string
     */
    public function getTransType1(): string
    {
        return $this->trans_type1;
    }
    
    /**
     * @return string
     */
    public function getTransType2(): string
    {
        return $this->trans_type2;
    }
    
    /**
     * @return int
     */
    public function getTransactionId(): int
    {
        return $this->transaction_id;
    }
    
    /**
     * @return int
     */
    public function getReceiptId(): int
    {
        return $this->receipt_id;
    }
    
    public function getPrice(): float
    {
        return $this->price;
    }
    
    public function getAmount(): float
    {
        return $this->amount;
    }

}